﻿# Cumulus for Adaptive Images

Invoke something like the following after Adaptive Images has been initialized:

```
// Create provider
var cumulusImageProvider = new CumulusImageProvider("cumulus", () => LocalizationService.Current.GetString("/ImageProviders/Cumulus/DisplayName"), new CumulusSettings
{
    ApiBaseAddress = "http://cumulus-server/CIP/",
    AuthenticationHeader = "Base xxxxxxxxxxxxxxxxxxxx", // Base64 encoded 'username:password'
    MaxUploadSize = 500000000,
    Catalog = "MyCatalog",
    Locale = "sv-SE",
    View = "fields",
    ProxyUrl = null
});

// Add at least one option
cumulusImageProvider.Options.Add(new CumulusProviderOption("$Categories:MyCategory", () => localization.GetString("/Categories/CategoryName"), ImageProviderOptionCapability.Search, 10));

// Add option with filters (optional)
var anotherOption = new CumulusProviderOption("$Categories:MyOtherCategory", () => localization.GetString("/Categories/OtherCategoryName"), ImageProviderOptionCapability.List | ImageProviderOptionCapability.Search, 20);

anotherOption.SearchFilters.Add(new CumulusFieldFilter
{
    Field = new CumulusField("abc123-ab12-ab12-abcde12345", "Some Field"), // Cumulus field key/UID and optional name
    Value = true
});

cumulusImageProvider.Options.Add(anotherOption);

// Register the image provider
ImageProviderFactory.Add(cumulusImageProvider);

```

Rebuild and reload the Optimizely UI and search among Cumulus
images using the "Image bank" component in the right pane.

If this is the only search-enabled image provider, you may need to click
**Reset views** in user settings to make the image bank component visible.

## Changelog

| Version  | Summary |
| ------------- | ------------- |
| 2.0.0.0 | .NET 5 / CMS 12 support |